var contenido_carrito ='';

function cargar_info(localizador){

    var tipo = jQuery('#tipoModificacion').val();
    var lang = jQuery('#lang').val();

    if(tipo == 'fechas'){
        jQuery('#DivEdicionFechas').show();
    }else{
        jQuery('#DivEdicionPlazas').show();
    }
    jQuery.ajax({
        type     : "POST",
        url      : ROOTGESTOR  + "ApiTusVisitasV2/anular",     		
        data     : JSON.stringify({    
          localizador : localizador,
          lang        : lang
        }),
        success: function (response) {
            var data = JSON.parse(response);

            contenido_carrito = jQuery('#carrito').html();

            jQuery('#TotalPrecio').text(data.precio_total_str);
            jQuery('#TotalCarrito').val(data.precio_total_str);
            jQuery('#StrLocalizador').html(localizador);
            jQuery('#StrServicio').html(data.info_compra.servicio_nombre);
            jQuery('#StrInstalacion').html(data.info_compra.instalacion_nombre);
            jQuery('#StrHora').html(data.hora);
            jQuery('#StrFormaPago').html(data.pago);
            jQuery('#StrNombre').html(data.nombre);
            jQuery('#StrApellido').html(data.apellido);
            jQuery('#StrTelefono').html(data.telefono);
            jQuery('#StrEmail').html(data.email);
            jQuery('#servicioSeleccionado').val(data.info_compra.servicio_id);
            jQuery('#TipoVisita').val(data.info_compra.servicio_id);
            jQuery('#ServicioId').val(data.info_compra.servicio_id);
            jQuery('#Adultos').val(data.unidades);
            jQuery('#Plazas').val(data.unidades);
            jQuery('#FechaAnterior').val(data.horario);
            jQuery('#Idioma').val(data.info_compra.idioma_info.Idioma.id);
            jQuery('#instalacion').val(data.instalacion);
            jQuery('#BodegaId').val(data.instalacion);
            jQuery('#pago_instalacion').val(data.pago_instalacion);
            jQuery('#reserva_id').val(data.reserva_anular);
          
            
     
                var tarifas_html       = '';
                var tarifas_input_html = '';
                var TarifasId          = '';
                var TarifasValue       = '';
    
                for(var i = 0; i < data.tarifas.length; i++){
            
                    if(i == data.tarifas.length - 1){
                        TarifasId    += data.tarifas[i].Tarifa.id;
                        TarifasValue += data.tarifas[i].LocalizadorTarifa.plazas_adulto;
                    }else{
                        TarifasId    += data.tarifas[i].Tarifa.id + ',';
                        TarifasValue += data.tarifas[i].LocalizadorTarifa.plazas_adulto + ',';
                    }
                    tarifas_input_html += '<div class="adultos">';
                    tarifas_input_html += '<h4>' + data.tarifas[i].UsuariosGrupo.nombre +' (' + data.tarifas[i].Tarifa.precio +' €)</h4>	';
                    tarifas_input_html += '<input type="text" max="' + data.tarifas[i].LocalizadorTarifa.plazas_adulto +'" id="txtTarifa' + data.tarifas[i].Tarifa.id +'" name="tarifas[]" placeholder="-" class="input-card usuarios_grupos form-control-tarifas" data-id="' + data.tarifas[i].Tarifa.id +'" data-original="' + data.tarifas[i].LocalizadorTarifa.plazas_adulto +'"  value="' + data.tarifas[i].LocalizadorTarifa.plazas_adulto +'"  >';
                    tarifas_input_html += '</div>';
    
                }
    
                jQuery('#DivTarifasCambio').html(tarifas_input_html);
                
    
                data.tarifas.map( tarifa =>{            
                    tarifas_html +=`
                        <tr>
                            <td>
                                <label>${tarifa.UsuariosGrupo.nombre}</label>
                            </td>
                            <td>
                                <span class="num_usuarios">${tarifa.LocalizadorTarifa.plazas_adulto}</span>
                            </td>
                            <td class="casi-last">${parseFloat(tarifa.Tarifa.precio).toFixed(2)} €</td>
                        </tr>`;
                });
                jQuery("#carrito .totales").before(tarifas_html);
    
                try {
                    var extras_html='';
                    data.extras_agrupados.map( extra =>{
                        extras_html +=`
                            <tr class="extra-mejora-tabla">
                                <td>
                                    <label>${extra.nombre_extra}</label>
                                </td>
                                <td>
                                    <span class="num_usuarios">${extra.cantidad_extra}</span>
                                </td>
                                <td>${parseFloat(extra.total).toFixed(2)}  €</td>
                            </tr>
                        `;
                    });
                    jQuery("#carrito .totales").before(extras_html);
    
    
                } catch (error) {
                    
                }
    
       
                try {
                    if (data.bono != ''){
                        var texto_cupon = jQuery('#LblCupon').val();
                        var cupon_html  = '<tr class="tr-descuento extra-mejora-tabla">';
                            cupon_html += '<td>' + texto_cupon +' (' + data.bono + ': -' + data.bono_cantidad +') </td>';
                            cupon_html += '<td><span class="num_usuarios">1</span></td>';
                            cupon_html += '<td class="casi-last"> <strike>' + parseFloat(data.bono_cantidad_descontada).toFixed(2) +' €</strike></td>';
                            cupon_html += '</tr>';
                        jQuery("#carrito .totales").before(cupon_html);
                    }
    
                            
                } catch (error) {
                    
                }
            
            
                var campos_servicio_html = "";
                var campos_servicio      = jQuery.makeArray(data.info_campos_extras);
            
                campos_servicio_html = cargarCamposExtrasComunStr(campos_servicio);
                    
                jQuery('#TarifasId').val(TarifasId);
                jQuery('#TarifasValue').val(TarifasValue);            
                jQuery('#DivContenidoExtras').after(campos_servicio_html);            
                jQuery("#BtnVolverTusVisitas").attr("href","/"+data.info_compra.formulario_volver);
                
                if(data.anulacion == "1"){
                    jQuery('#BtnConfirmarModificar').hide();
                    jQuery('#DivTusDatosModificacion').hide();
                    jQuery('#DivCabeceraModificacion').hide();                
                    jQuery('#ValidarModificar').show();
                    try {
                        jQuery('#ValidarModificar').html(anular['text_compra_ha_sido_cancelada']);
                    } catch (error) {
                        
                    }
                }else{
                    jQuery('#BtnConfirmarModificar').show();                    
                }

        },			
        beforeSend: function () {
            // jQuery(".loader").show();
        }
        });
    

}

function confirmar_modificar(){


    jQuery("#BtnConfirmarModificar").hide();
 
    var localizador      = jQuery("#Localizador").val();
    var servicio         = jQuery("#ServicioId").val();
    var reserva_id       = jQuery("#reserva_id").val();
    var horario_sala     = jQuery("#FechaAnterior").val();
    var pago_instalacion = jQuery("#pago_instalacion").val();    

    jQuery
        .ajax({
            type : "POST",
            url  : "//" + location.host + "/wp-content/plugins/visitas/modules/visitas/reservas/ajax/compra_anulada_api.php",
            data : {
                localizador                 : localizador,             
                servicio                    : servicio,             
                reserva_anular              : reserva_id,             
                horario_sala                : horario_sala,             
                tipo_anulacion              : "compra",
                confirmar_anulacion_reserva : 1             
            },
            cache   : false,
            success : function (response) {
                                         
                jQuery("#DivCarritoResumen").show();
                jQuery("#DivCarritoResumenConfirmar").hide();
                jQuery("#DivResumenModificacion").html(response);
                jQuery("#DivResumenModificacion").show();
                jQuery("#DivSteps").hide();
       
                if (pago_instalacion == 0){
                    // Movemos la capa de reembolos a su ubicacion final
                    jQuery("#informacion_reembolso").appendTo("#informacion_reembolso_modificar");
                    jQuery("#informacion_reembolso_modificar").show();
                }else{
                    jQuery("#informacion_reembolso_modificar").hide();
                    jQuery("#informacion_reembolso").hide();
                }
                
                window.scrollTo(0, 0);
                jQuery(".loader").hide();
            },
            beforeSend: function () {
                jQuery(".loader").show();
            },
            complete: function () {
            
            },
        });
}
